iOS 15 could support iPhone 7 and later

iOS 15 could drop support for iPhones older than the 7 and 7 Plus as the aging A9 chip in the devices makes it harder to develop features for those devices, The Verifier claims.

Apple extended support for the iPhone 6s, iPhone 6s Plus and iPhone SE (first generation) with iOS 14, but, as a result of aging hardware, they missed out on some features that were only made available on newer devices. This is likely due to the A9 processor, outdated battery and limited camera capabilities.

As a result, these devices cannot meet the performance needs of users today and further updates could potentially slow the devices down. Apple will require users who want to update to the next version of iOS to have an iPhone 7, iPhone 7 Plus or later.

We’re skeptical of reports from The Verifier as they have been wrong in the past, but it’s not hard to imagine Apple wants to cut the older devices from its software support to continue adding new features on iPhone X (and later)-based hardware.

Default image
Ben Ward
Ben has written for many news blogs, currently Apple TLD's Senior Article Writer, supporting other writers with their work. He has a passion for Apple and technology, and the impact it has on people's lives.

Leave a Reply